Bug 690569 - Review Request: perl-Task-Perl-Critic - Install everything Perl::Critic
Summary: Review Request: perl-Task-Perl-Critic - Install everything Perl::Critic
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 672561 672574 672582 672629 672811 672832 673099 673116 673197 690566 690580 690746 690751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-24 17:00 UTC by Petr Pisar
Modified: 2011-06-01 07:32 UTC (History)
3 users (show)

Fixed In Version: perl-Task-Perl-Critic-1.007-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-01 07:32:40 UTC
psabata: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-03-24 17:00:08 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Task-Perl-Critic/perl-Task-Perl-Critic.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Task-Perl-Critic/perl-Task-Perl-Critic-1.007-1.fc16.src.rpm
Description:
This module does nothing but act as a placeholder. See Task.

Comment 2 Petr Šabata 2011-05-26 08:59:30 UTC
Package: perl-Task-Perl-Critic
Version: 1.007
Release: 1.fc16
Sources: Task-Perl-Critic-1.007.tar.gz
Patches: 
----------
Package successfully built in mock, fedora-15-x86_64.
Package successfully built in mock, fedora-15-i386.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[ NOTE ] Package obeys FHS (with _libexecdir and /srv exceptions)
[ NOTE ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains a SystemV-compatible initscript
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[ FAIL ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  --  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  --  ] Package works as expected

NOTES:
------
1. rpmlint reports wrong FSF address; there's nothing much you could do about it.
2. Please, install the package to vendor directory until Perl SIG really decides which way to go.
3. It seems like you forgot to remove the BuildRoot tag (it doesn't seem intentional since there's no %clean section).
4. %defattr is no longer needed but it's up to you, just mentioning.

Comment 4 Petr Šabata 2011-05-31 08:14:51 UTC
--- a/perl-Task-Perl-Critic.spec
+++ b/perl-Task-Perl-Critic.spec
@@ -6,7 +6,6 @@ License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Task-Perl-Critic/
 Source0:        http://www.cpan.org/authors/id/E/EL/ELLIOTJS/Task-Perl-Critic-%{version}.tar.gz
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl(Module::Build)
 # Other requires from META.yml are not needed at build and check time. There
@@ -40,7 +39,7 @@ This module does nothing but act as a placeholder. See Task.
 %setup -q -n Task-Perl-Critic-%{version}
 
 %build
-%{__perl} Build.PL installdirs=core
+%{__perl} Build.PL installdirs=vendor
 ./Build
 
 %install
@@ -52,9 +51,8 @@ find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
 ./Build test
 
 %files
-%defattr(-,root,root,-)
 %doc Changes LICENSE README
-%{perl_privlib}/*
+%{perl_vendorlib}/*
 %{_mandir}/man3/*
 
 %changelog
@@ -63,5 +61,5 @@ find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
 - Do not BuildRequire run-time dependencies, they are not used at build and
   check time indeed.
 - Remove BuildRoot stuff
-- Install into perl core directory
+- Remove explicit defattr 

--

Approving.

Comment 5 Petr Pisar 2011-05-31 09:02:00 UTC
New Package SCM Request
=======================
Package Name: perl-Task-Perl-Critic 
Short Description: Install everything Perl::Critic
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2011-05-31 19:15:29 UTC
Git done (by process-git-requests).

Comment 7 Petr Pisar 2011-06-01 07:32:40 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.